> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Vehicle

> Update the Vehicle details in an E-Way Bill with multi-vehicle movement initiated.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/update_vehicle.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json PUT /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle/vehicle
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle/vehicle:
    put:
      tags:
        - E-Way Bill1
        - Consignor
        - Multi-Vehicle Movement
      summary: Update Vehicle
      description: Update Vehicle
      operationId: updateVehicle
      parameters:
        - name: ewb_no
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ewbNo:
                  type: number
                  example: 291010080003
                fromPlace:
                  type: string
                  example: Lucknow
                fromState:
                  type: number
                  example: 9
                groupNo:
                  type: number
                  example: 11
                newTranNo:
                  type: string
                  example: PQR123
                newVehicleNo:
                  type: string
                  example: ' PQR1234'
                oldTranNo:
                  type: string
                  example: ABC123
                oldvehicleNo:
                  type: string
                  example: PQR1234
                reasonCode:
                  type: string
                  example: '1'
                reasonRem:
                  type: string
                  example: vehicle broke down
            examples:
              411 Multi-vehicle not initiated for specified details:
                value:
                  ewbNo: 291010080003
                  fromPlace: Lucknow
                  fromState: 9
                  groupNo: 11
                  newTranNo: PQR123
                  newVehicleNo: ' PQR1234'
                  oldTranNo: ABC123
                  oldvehicleNo: PQR1234
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                summary: 411 Multi-vehicle not initiated for specified details
              200 Vehicle updated:
                value:
                  ewbNo: 291010080003
                  groupNo: 1
                  oldvehicleNo: PQR1234
                  newVehicleNo: ' PQR1234'
                  oldTranNo: ABC123
                  newTranNo: PQR123
                  fromPlace: Lucknow
                  fromState: 9
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                summary: 200 Vehicle updated
              301 Invalid EWB number:
                value:
                  ewbNo: 171002233847
                  groupNo: 11
                  oldvehicleNo: PQR1234
                  newVehicleNo: ' PQR1234'
                  oldTranNo: ABC123
                  newTranNo: PQR123
                  fromPlace: Lucknow
                  fromState: 9
                  reasonCode: '1'
                  reasonRem: vehicle broke down
                summary: 301 Invalid EWB number
      responses:
        '200':
          description: >-
            200 Vehicle updated / 301 Invalid EWB number / 411 Multi-vehicle not
            initiated for specified details
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      alert:
                        type: string
                        nullable: true
                        example: null
                      data:
                        type: object
                        properties:
                          ewbNo:
                            type: string
                            example: '291010080003'
                          groupNo:
                            type: string
                            example: '1'
                          vehUpdDate:
                            type: string
                            example: 13/05/2024 04:37:00 PM
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: '301'
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 4a367e41-c754-4c86-961e-e475197be997
              examples:
                411 Multi-vehicle not initiated for specified details:
                  summary: 411 Multi-vehicle not initiated for specified details
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '411'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 27d0adf9-1942-40c8-867d-19b490642ab1
                200 Vehicle updated:
                  summary: 200 Vehicle updated
                  value:
                    code: 200
                    data:
                      alert: null
                      data:
                        ewbNo: '291010080003'
                        groupNo: '1'
                        vehUpdDate: 13/05/2024 04:37:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 4a367e41-c754-4c86-961e-e475197be997
                301 Invalid EWB number:
                  summary: 301 Invalid EWB number
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '301'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 27beabc6-e9a5-4d26-b6ca-5485090fcf64
          headers: {}
      deprecated: false
      security: []

````